.TH TEXTFILTER 1

.SH NAME
.EX
textfilter

.SH SYNOPSIS
.EX
textfilter [-x pattern]

.SH DESCRIPTION
.EX
Textfilter is a filter. The input is a list of file names. The format is one name per line.
The output is a list of text file names.
Some names can be filter out by "-x" option.
The textfilter read 512B of a file and check:
(a) if it contails control codes (except '\t', '\n', '\r').
(b) if it has invalid utf8 codes.
Note that some pdf files pass the above checks. The "-x" option is for those files.

.SH EXAMPLES
.EX
ls | textfilter
ls | textfilter -x '\.(pdf|png|jpg)$'




